package background.systemVariables;

public class SimpleVariable {	
	public String name;
	public Boolean vizualize;
	private Boolean active = false;
	public Boolean initialized = false;
			  
	public String getType() {
		return "";
	}
	
	public void setValue() {
	}
	
	public void setVizualize(Boolean b) {
		vizualize = b;
	}
		
	public String getValue(String s) {
		return null;	
	}
	
	public Boolean getValue(Boolean b) {
		return null;	
	}

	public char getValue(char c) {
		return ' ';	
	}

	public int getValue(int s) {
		return 0;
	}
	
	public void setValue(String s) {}
	public void setValue(Boolean b) {}
	public void setValue(char c) {}
	public void setValue(int s) {}

	
	public void setInactive() { active = false; }	
	public void setActive() { active = true; }		
	public Boolean isActive(){ return active; }
}
